SHUTDOWN(8)

NAME
shutdown - close down the system

SYNOPSIS
shutdown [ -h | -r ] [ -fqs ] [ now | hh:ss | +mins ]
reboot [ -h | -r ] [ -fqs ] [ now | hh:ss | +mins ]
fastboot [ -h | -r ] [ -fqs ] [ now | hh:ss | +mins ]
halt [ -h | -r ] [ -fqs ] [ now | hh:ss | +mins ]
fasthalt [ -h | -r ] [ -fqs ] [ now | hh:ss | +mins ]

DESCRIPTION
In general, shutdown prepares the system for a power down or reboot. A absolute or delta time can be given, and periodic messages will be sent to all users warning of the shutdown. halt is the same as shutdown -h -q now fasthalt is the same as shutdown -h -q -f now reboot is the same as shutdown -r -q now fastboot is the same as shutdown -r -q -f now The default delta time, if none is specified, is 2 minutes. Five minutes before shutdown (or immediately, if shutdown is less than five minutes away), the /etc/nologin file is created with a message stating that the system is going down and that logins are no longer permitted. The login (1) program will not allow non-superusers to login during this period. A message will be sent to all users at this time. When the shutdown time arrives, shutdown notifies all users, tells init(8) not to spawn more getty(8)'s, writes the shutdown time into the /var/adm/wtmp file, kills all other processes on the system, sync(2)'s, unmounts all the disks, sync(2)'s again, waits for a second, and then either terminates or reboots the system.

OPTIONS

-h  Halt the system. Do not reboot. This option is used when powering down the system.

-r  Reboot the system.

-f  Fast. When the system is rebooted, the file systems will not be checked. This is arranged by creating /fastboot, which /etc/rc must detect (and delete).

-q  Quiet. This uses a default broadcast message, and does not prompt the user for one.

-s  Reboot in single user mode. This is arranged by creating /etc/singleboot, which simpleinit(8) detects (and deletes).

FILES
/etc/rc
/fastboot
/etc/singleboot
/etc/nologin
/var/adm/wtmp

SEE ALSO
umount(8), login(1), reboot(2), simpleinit(8), init(8)

BUGS
Unlike the BSD shutdown, users are notified of shutdown only once or twice, instead of many times, and at shorter and shorter intervals as "apocalypse approaches."

AUTHOR
poe@daimi.aau.dk
Modified by jrs@world.std.com